Subject: [TOOLS-DEVELOPMENT] Fwd: New Version Notification for draft-sparks-genarea-mailarch-improvements-00.txt

From: Robert Sparks <[email-masked]>
Date: Thu, 19 Nov 2015 16:30:38 -0600

Please review and comment.

RjS

-------- Forwarded Message --------
Subject: 	New Version Notification for 
draft-sparks-genarea-mailarch-improvements-00.txt
Date: 	Thu, 19 Nov 2015 14:27:51 -0800
From: 	[email-masked]
To: 	Robert Sparks <[email-masked]>

A new version of I-D, draft-sparks-genarea-mailarch-improvements-00.txt
has been successfully submitted by Robert Sparks and posted to the
IETF repository.

Name:		draft-sparks-genarea-mailarch-improvements
Revision:	00
Title:		Requirements for Improvements to the IETF Email List Archiving, Web- based Browsing and Search Tool
Document date:	2015-11-19
Group:		Individual Submission
Pages:		5
URL:            https://www.ietf.org/internet-drafts/draft-sparks-genarea-mailarch-improvements-00.txt
Status:         https://datatracker.ietf.org/doc/draft-sparks-genarea-mailarch-improvements/
Htmlized:       https://tools.ietf.org/html/draft-sparks-genarea-mailarch-improvements-00

Abstract:
    The Web-based IETF email archive search tool based on the
    requirements captured in RFC6778 was deployed in January 2014.  This
    memo captures the requirements for a set of improvements that have
    been identified during its initial years of community use.

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Russ Housley <[email-masked]>
Date: Fri, 20 Nov 2015 17:13:55 -0500

Robert:

Thanks for putting this together so quickly.  You certainly beat the date it was promised.

I do not understand the 2nd paragraph of Section 2.3.  I understand that scroll bars are needed, but it is unclear when you expect addition messages to be fetched and when you do not.

I think that the Security Considerations should say that this tools is primarily used anonymously to access public mail archives, and then go on to say something about authentication for administrative access.

Russ

On Nov 19, 2015, at 5:30 PM, Robert Sparks wrote:

> Subject:	New Version Notification for draft-sparks-genarea-mailarch-improvements-00.txt
> _______________________________________________
> TOOLS-DEVELOPMENT mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tools-development

---

From: Robert Sparks <[email-masked]>
Date: Fri, 20 Nov 2015 16:24:15 -0600

On 11/20/15 4:13 PM, Russ Housley wrote:
> I do not understand the 2nd paragraph of Section 2.3.  I understand 
> that scroll bars are needed, but it is unclear when you expect 
> addition messages to be fetched and when you do not.
I don't know how much detail to go into in the draft. The issue is 
fixing a bug in the current implementation that fetches more messages 
when the scrollbar reaches the bottom.
>
> I think that the Security Considerations should say that this tools is 
> primarily used anonymously to access public mail archives, and then go 
> on to say something about authentication for administrative access.
6778 talks to that, but I can pull it forward.
>> URL:https://www.ietf.org/internet-drafts/draft-sparks-genarea-mailarch-improvements-00.txt
>> Status:https://datatracker.ietf.org/doc/draft-sparks-genarea-mailarch-improvements/
>> Htmlized:https://tools.ietf.org/html/draft-sparks-genarea-mailarch-improvements-00
>>
>>
>> Abstract:
>> until the htmlized version and diff are available attools.ietf.org <http://tools.ietf.org>.
>>
>> The IETF Secretariat
>>
>>
>>
>> [email-masked] <mailto:[email-masked]>

---

From: Lou Berger <[email-masked]>
Date: Fri, 20 Nov 2015 17:32:17 -0500

Robert,

Very useful draft - thank you!
Some comments

1)    I think it would be good to have the same function as the old
archive in addition to what you already cover, namely what you see at
the bottom of any message, e.g.,
http://www.ietf.org/mail-archive/web/teas/current/msg00959.html

  * *References*:
      o *[Teas] I-D Action:
        draft-ietf-teas-rsvp-te-domain-subobjects-05.txt
        <http://www.ietf.org/mail-archive/web/teas/current/msg00958.html>*
          + /From:/ internet-drafts

  * Prev by Date: *[Teas] I-D Action:
    draft-ietf-teas-rsvp-te-domain-subobjects-05.txt
    <http://www.ietf.org/mail-archive/web/teas/current/msg00958.html>*
  * Next by Date: *Re: [Teas] I-D Action:
    draft-ietf-teas-rsvp-te-domain-subobjects-04.txt
    <http://www.ietf.org/mail-archive/web/teas/current/msg00960.html>*
  * Previous by thread: *[Teas] I-D Action:
    draft-ietf-teas-rsvp-te-domain-subobjects-05.txt
    <http://www.ietf.org/mail-archive/web/teas/current/msg00958.html>*
  * Index(es):
      o *Date*
        <http://www.ietf.org/mail-archive/web/teas/current/maillist.html#00959>
      o *Thread*
        <http://www.ietf.org/mail-archive/web/teas/current/threads.html#00959>

2) I think small screen/mobile should also be added.  For example the
above link as well as indexes work pretty well on my phone while the new
archive is pretty hard to use.

3) the link to the archive tool in the draft is wrong (missing ive)

Thanks again,
Lou

---

From: Robert Sparks <[email-masked]>
Date: Fri, 20 Nov 2015 17:13:46 -0600

>            + /From:/ internet-drafts
Do you actually use that one?

Adding the equivalent functionality of all of the below are already in 
the draft
(section 2.2 bullet 1, section 2.1 bullet 2)
>      <http://www.ietf.org/mail-archive/web/teas/current/msg00958.html>*
The two below are already in the deployed tool.
> archive is pretty hard to use.
We can rephrase the bullet to use those terms, but that's what 2.4 
bullet 4 is intended
to accomplish.
> 3) the link to the archive tool in the draft is wrong (missing ive)
ack.

---

From: Lou Berger <[email-masked]>
Date: Sun, 22 Nov 2015 22:00:52 -0500

Robert,

> Do you actually use that one?

not often, the server stats should be able to give you a feel if this is
important.

>>      <http://www.ietf.org/mail-archive/web/teas/current/msg00958.html>*

The difference between the above and how I read the current text is that
the above are available *all the time* while the draft limits their
available to the way the message was viewed. i.e., "when grouped by
thread" and "previous/next in (search) list".  The latter isn't
supported in the old tool and is a nice addition.

> The two below are already in the deployed tool.

Sure, subject to the acknowledged limitations.

> We can rephrase the bullet to use those terms, but that's what 2.4 

small screen/mobile support is orthogonal from no JS.  -- My mobile
browser (chrome) supports javascript just fine.  -- I think there should
be a requirements section even if the solution ends up being the same.

Cheers,
Lou